Bug 1258322 - swap fstab entry field is "swap" but fstab man says it should be "none"
Summary: swap fstab entry field is "swap" but fstab man says it should be "none"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-31 06:01 UTC by Ian Kelling
Modified: 2019-04-04 00:01 UTC (History)
6 users (show)

Fixed In Version: anaconda-30.25.4-1 anaconda-30.25.4-1.fc30
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-04 00:01:51 UTC


Attachments (Terms of Use)

Description Ian Kelling 2015-08-31 06:01:10 UTC
Steps to Reproduce:
1. Install fedora using anaconda, and use a swap partition.

Actual results:
Line in /etc/fstab says:
/dev/mapper/fedora-swap swap                    swap    defaults        0 0

man fstab says:
"This field describes the mount point for the filesystem.  For swap partitions, this field should be specified as `none'."

Expected results:
fstab and man fstab are consistent. One or the other should change.

Comment 1 Fedora End Of Life 2016-07-19 17:44:11 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 2 Chris Murphy 2019-03-26 19:49:09 UTC
This is still a bug in anaconda-30.25.3-4.fc30

Comment 3 Vendula Poncova 2019-03-27 15:03:51 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1921

Comment 4 Fedora Update System 2019-04-02 16:48:29 UTC
anaconda-30.25.4-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f36d739dc

Comment 5 Fedora Update System 2019-04-03 02:27:34 UTC
anaconda-30.25.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7f36d739dc

Comment 6 Fedora Update System 2019-04-04 00:01:51 UTC
anaconda-30.25.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.